Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# EggFilenameNode Class Reference

This is an egg node that contains a filename. More...

Inheritance diagram for EggFilenameNode:

List of all members.

## Public Member Functions
string | getDefaultExtension ()
| Returns the default extension for this filename type.
Filename const | getFilename ()
| Returns a nonmodifiable reference to the filename.
Filename const | getFullpath ()
| Returns the full pathname to the file, if it is known; otherwise, returns the same thing as get_filename().
EggFilenameNode | operator= (EggFilenameNode const copy)
| setFilename (Filename const filename)
| setFullpath (Filename const fullpath)
| Records the full pathname to the file, for the benefit of get_fullpath().
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is an egg node that contains a filename.

It references a physical file relative to the directory the egg file was loaded in. It is a base class for EggTexture and EggExternalReference.

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from EggNode.

Reimplemented in EggTexture, and EggExternalReference.

string getDefaultExtension | ( |  | ) |

Returns the default extension for this filename type.

Filename const getFilename | ( |  | ) |

Returns a nonmodifiable reference to the filename.

Filename const getFullpath | ( |  | ) |

Returns the full pathname to the file, if it is known; otherwise, returns the same thing as get_filename().

This function simply returns whatever was set by the last call to set_fullpath(). This string is not written to the egg file; its main purpose is to record the full path to a filename (for instance, a texture filename) if it is known, for egg structures that are generated in-memory and then immediately converted to a scene graph.

EggFilenameNode operator= | ( | EggFilenameNode const | copy | ) |

setFilename | ( | Filename const | filename | ) |

setFullpath | ( | Filename const | fullpath | ) |

Records the full pathname to the file, for the benefit of get_fullpath().

All Classes Namespaces Functions Variables Enumerations Enumerator Properties